<!DOCTYPE html>
<html ng-app="myFavTechnologies">
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Filters</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <!-- <link rel='stylesheet' type='text/css' media='screen' href='main.css'> -->
    <script src='angular.min.js'></script>
    <script src='index.js'></script>
</head>
<body>
    <div ng-controller="MyFavTechnologiesController">
        <div> {{message}}</div>
        <div> My Fav Technologies in asc order : </div>
        <br>
        <div ng-repeat="favTech in favTechnologies | orderBy: 'name'"> {{ favTech.name }} - {{ favTech.version }}</div>
        <br>
        <div> My Fav Technologies in desc order : </div>
        <br>
        <div ng-repeat="favTech in favTechnologies | orderBy: '-name'"> {{ favTech.name }} - {{ favTech.version }}</div>
    </div>
</body>
</html>